import React from 'react';
import type { CollectionTabInfo } from '../stores/workspaces';
import { type OpenWorkspaceOptions, type WorkspaceTab } from '../stores/workspaces';
import type { ConnectionInfo } from '@mongodb-js/connection-storage/renderer';
type WorkspacesWithSidebarProps = {
    activeTab: WorkspaceTab | null;
    activeTabCollectionInfo: CollectionTabInfo | null;
    onActiveWorkspaceTabChange<WS extends WorkspaceTab>(ws: WS | null, collectionInfo: WS extends {
        type: 'Collection';
    } ? CollectionTabInfo | null : never): void;
    initialWorkspaceTab?: OpenWorkspaceOptions;
    initialConnectionInfo?: ConnectionInfo;
};
declare const _default: import("react-redux").ConnectedComponent<React.FunctionComponent<WorkspacesWithSidebarProps>, {
    onActiveWorkspaceTabChange: <WS extends WorkspaceTab>(ws: WS | null, collectionInfo: WS extends {
        type: "Collection";
    } ? CollectionTabInfo | null : never) => void;
    initialConnectionInfo?: ConnectionInfo | undefined;
    initialWorkspaceTab?: OpenWorkspaceOptions | undefined;
    context?: React.Context<import("react-redux").ReactReduxContextValue<any, import("redux").AnyAction>> | undefined;
    store?: import("redux").Store<any, import("redux").AnyAction> | undefined;
}>;
export default _default;
//# sourceMappingURL=index.d.ts.map